# Created by pyp2rpm-3.3.1
%global pypi_name fontpens

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.2.4
Release:        %mkrel 8
Summary:        A collection of classes implementing the pen protocol for manipulating glyphs
Group:          Development/Python
License:        OpenSource, BSD-style
URL:            https://github.com/robofab-developers/fontPens
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/fontPens-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 3.20.0
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif
BuildRequires:  python3dist(setuptools)

%description
A collection of classes implementing the pen protocol for manipulating
glyphs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fonttools) >= 3.20.0

%description -n python3-%{pypi_name}
A collection of classes implementing the pen protocol for manipulating
glyphs.


%prep
%autosetup -n fontPens-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontPens

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 0.2.4-8.mga10
+ Revision: 2031297
- rebuild for py3.12
- switch to pyproject

* Thu Mar 24 2022 umeabot <umeabot> 0.2.4-7.mga9
+ Revision: 1824909
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.2.4-6.mga9
+ Revision: 1779047
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.2.4-5.mga9
+ Revision: 1717387
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.4-4.mga8
+ Revision: 1532623
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.2.4-3.mga8
+ Revision: 1442569
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.2.4-2.mga8
+ Revision: 1435584
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.2.4-1.mga7
+ Revision: 1351426
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1288910
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 0.1.0-1.mga7
+ Revision: 1226594
- imported package python-fontpens

